Subject: bug#29049: closed (Re: bug#29049: 26.0; doc of `window-configuration-change-hook')

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 04 Nov 2017 10:06:02 +0000

Your bug report

#29049: 26.0; doc of `window-configuration-change-hook'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29049: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29049
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29049: 26.0; doc of `window-configuration-change-hook'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Sat, 04 Nov 2017 12:05:21 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sat, 28 Oct 2017 18:07:48 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> 
> Both (elisp) `Window Hooks' and the doc string talk about "the
> buffer-local part of this hook".
> 
> I don't know what that means.  Since when does a hook have "parts", one
> of which is the "buffer-local part"?

The intent was to buffer-local value and the global value.  I fixed
that.

Subject: 26.0; doc of `window-configuration-change-hook'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Sat, 28 Oct 2017 18:07:48 -0700 (PDT)
List-Id: <debbugs-submit.debbugs.gnu.org>

Both (elisp) `Window Hooks' and the doc string talk about "the

buffer-local part of this hook".

I don't know what that means.  Since when does a hook have "parts", one

of which is the "buffer-local part"?

Node (elisp) `Hooks' says nothing about any "local" or other "part" of a

hook.  Searching for "local" there finds only (1) mention that a major

mode overrides buffer-local variable assignments and (2) mention that

you can "You can add hooks either globally or buffer-locally".

I'm really wondering what could possibly be meant by this doc.  This

strange language was apparently introduced in Emacs 23.  I have no idea

what it is trying to say.  Please clarify this doc.

In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)

of 2017-10-13

Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4

Windowing system distributor `Microsoft Corp.', version 6.1.7601

Configured using:

`configure --without-dbus --host=x86_64-w64-mingw32

--without-compress-install 'CFLAGS=-O2 -static -g3''